Last Comment Bug 724789 - Some sites are wider than they should be
: Some sites are wider than they should be
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Layout (show other bugs)
: 12 Branch
: x86 All
: -- normal with 1 vote (vote)
: ---
Assigned To: Mats Palmgren (:mats)
:
: Jet Villegas (:jet)
Mentors:
Depends on: 750293
Blocks: 665597
  Show dependency treegraph
 
Reported: 2012-02-06 22:28 PST by Johan Larsson
Modified: 2012-05-23 08:47 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Scrollbar (600.88 KB, image/png)
2012-02-06 22:28 PST, Johan Larsson
no flags Details
A stripped down version of Smashing Magazine (19.46 KB, application/octet-stream)
2012-02-06 23:19 PST, Johan Larsson
no flags Details
reduced html (150 bytes, text/html)
2012-02-07 00:19 PST, Alice0775 White
no flags Details

Description Johan Larsson 2012-02-06 22:28:32 PST
Created attachment 594918 [details]
Scrollbar

User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:13.0a1) Gecko/20120204 Firefox/13.0a1
Build ID: 20120204040234

Steps to reproduce:

Open http://www.smashingmagazine.com/ in a window that is wider than 1200px.


Actual results:

 There is ~450px of dead space to the right of the content that you can scroll to.


Expected results:

The site should not be scrollable in the x-axis at all. (It's a responsive design)

Chrome and Safari works fine.
Comment 1 Paul Rouget [:paul] 2012-02-06 22:52:25 PST
I can reproduce here.

Not sure if it's a bug or the expected layout.

Can you reduce the code to make it easier to debug?
Comment 2 Johan Larsson 2012-02-06 23:19:14 PST
Created attachment 594924 [details]
A stripped down version of Smashing Magazine

I found the culprit. In the responsive.css they're doing this:

nav.toplevel{margin-right:450px; width:100%}

I see why that's a problem but how come both Safari and Chrome is rendering this without scrollbars and without the ability to scroll in the content?
Comment 3 Alice0775 White 2012-02-07 00:19:01 PST
Created attachment 594933 [details]
reduced html

http://hg.mozilla.org/integration/mozilla-inbound/rev/7ea3311b5e6c
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120116 Firefox/12.0a1 ID:20120116145408

http://hg.mozilla.org/integration/mozilla-inbound/rev/3077b729dfd5
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120116 Firefox/12.0a1 ID:20120116153908

http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=7ea3311b5e6c&tochange=3077b729dfd5

Triggered by; Bug 665597
Comment 4 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-07 01:20:02 PST
(In reply to Johan Larsson from comment #2)
> I see why that's a problem but how come both Safari and Chrome is rendering
> this without scrollbars and without the ability to scroll in the content?

Presumably they don't include the right margin in the area that can be scrolled to.
Comment 5 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-07 01:22:24 PST
The question is, how common is this problem...
Comment 6 Mats Palmgren (:mats) 2012-05-14 20:15:23 PDT
The patch in bug 750293 fixes this bug too.
Comment 7 Mats Palmgren (:mats) 2012-05-23 08:47:11 PDT
Fixed by the wallpaper in bug 750293 for now.

Note You need to log in before you can comment on or make changes to this bug.